## situare 0.6-4

=== debian/changelog ===
situare (0.6-4) unstable; urgency=low
  * Situare Beta Release

  * New Features:
    - Panel graphics updated
    - Time-out handling
    - Larger profile images support
    - Map distance scale
    - Map wraps around the east-west borders

  * Following bug fixes from version 0.5-1
    - Version control cleaned up (#5532)
    - Update location dialog is fully visible (#5765)
    - Friend group items are now properly released (#5831)
    - Location field shows always proper location (#5865)
    - Login e-mail field is now properly filled after failed login attempt (#5866)
    - Mouse event work properly over friends items on map (#5867)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Mon, 16 Jun 2010 08:20:00 +0300
