## situare 1.0-0

=== tests/map/uselastlocation/Makefile ===
#############################################################################
# Makefile for building: uselastlocation
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 11:42:16 2010
# Project:  uselastlocation.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile uselastlocation.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtWebKit -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I. -I../../../src -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtWebKit -L/usr/X11R6/lib -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testuselastlocation.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/gpslocationitem.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/map/maptile.cpp \
		../../../src/user/user.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/map/friendlocationitem.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/ui/mainwindow.cpp \
		../../../src/ui/settingsdialog.cpp \
		../../../src/ui/logindialog.cpp \
		../../../src/map/mapview.cpp \
		../../../src/ui/friendlistpanel.cpp \
		../../../src/ui/panelsidebar.cpp \
		../../../src/ui/zoombuttonpanel.cpp \
		../../../src/ui/friendlistview.cpp \
		../../../src/ui/panelsliderbar.cpp \
		../../../src/ui/friendlistitem.cpp \
		../../../src/ui/userinfo.cpp \
		../../../src/ui/imagebutton.cpp \
		../../../src/ui/updatelocation/updatelocationdialog.cpp \
		../../../src/ui/updatelocation/texteditautoresizer.cpp \
		../../../src/ui/userinfopanel.cpp \
		../../../src/ui/sidepanel.cpp \
		../../../src/ui/zoombutton.cpp moc_mapengine.cpp \
		moc_mapscene.cpp \
		moc_mapfetcher.cpp \
		moc_frienditemshandler.cpp \
		moc_friendlocationitem.cpp \
		moc_friendgroupitem.cpp \
		moc_mainwindow.cpp \
		moc_settingsdialog.cpp \
		moc_logindialog.cpp \
		moc_mapview.cpp \
		moc_friendlistpanel.cpp \
		moc_panelsidebar.cpp \
		moc_zoombuttonpanel.cpp \
		moc_friendlistview.cpp \
		moc_panelsliderbar.cpp \
		moc_friendlistitem.cpp \
		moc_userinfo.cpp \
		moc_imagebutton.cpp \
		moc_updatelocationdialog.cpp \
		moc_texteditautoresizer.cpp \
		moc_userinfopanel.cpp \
		moc_sidepanel.cpp \
		moc_zoombutton.cpp \
		qrc_images.cpp
OBJECTS       = testuselastlocation.o \
		mapengine.o \
		mapscene.o \
		mapfetcher.o \
		ownlocationitem.o \
		gpslocationitem.o \
		frienditemshandler.o \
		maptile.o \
		user.o \
		maptilerequest.o \
		baselocationitem.o \
		friendlocationitem.o \
		friendgroupitem.o \
		mainwindow.o \
		settingsdialog.o \
		logindialog.o \
		mapview.o \
		friendlistpanel.o \
		panelsidebar.o \
		zoombuttonpanel.o \
		friendlistview.o \
		panelsliderbar.o \
		friendlistitem.o \
		userinfo.o \
		imagebutton.o \
		updatelocationdialog.o \
		texteditautoresizer.o \
		userinfopanel.o \
		sidepanel.o \
		zoombutton.o \
		moc_mapengine.o \
		moc_mapscene.o \
		moc_mapfetcher.o \
		moc_frienditemshandler.o \
		moc_friendlocationitem.o \
		moc_friendgroupitem.o \
		moc_mainwindow.o \
		moc_settingsdialog.o \
		moc_logindialog.o \
		moc_mapview.o \
		moc_friendlistpanel.o \
		moc_panelsidebar.o \
		moc_zoombuttonpanel.o \
		moc_friendlistview.o \
		moc_panelsliderbar.o \
		moc_friendlistitem.o \
		moc_userinfo.o \
		moc_imagebutton.o \
		moc_updatelocationdialog.o \
		moc_texteditautoresizer.o \
		moc_userinfopanel.o \
		moc_sidepanel.o \
		moc_zoombutton.o \
		qrc_images.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		uselastlocation.pro
QMAKE_TARGET  = uselastlocation
DESTDIR       = 
TARGET        = uselastlocation

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: uselastlocation.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile uselastlocation.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile uselastlocation.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/uselastlocation1.0.0 || $(MKDIR) .tmp/uselastlocation1.0.0
