=== debian/changelog ===
situare (1.0-0) unstable; urgency=low
  * Situare Release (Intermediate build)

  * New Features:
    - Map kinetic scroll
    - Time-out handling
    - Map double click zoom
    - Power save when the display is off
    - Semi-transparent background on the fullscreen button
    - Panels are shown when there is valid content
    - Map centering does smooth scroll

  * Following bug fixes from version 0.6-5
    - Progress indicator is not disabled when "connection timed out"
    - When old message is loaded, characters left label is not updated

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 24 Jun 2010 08:20:00 +0300
