## situare 2.0b-0

=== debian/changelog ===
situare (2.0b-0) unstable; urgency=low
  * Situare beta release

  * New Features:
    - Location search panel
    - Context-driven buttons
    - Personal and friend panels are closed and disabled when logout
    - Search history is shown in location search panel
    - Show friends contact dialog
    - UI design for panels fine tuned
    - Old data is cleared when logout
    - New button icons, some old button icons fine-tuned
    - Text to indicate when panel content is empty

  * Following bug fixes from version 2.0a-0
    - Message is sometimes partly invisible in friend list item
    - When routing to friend, the view is not changed to routing panel after the routing is done

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 9 Sep 2010 09:36:00 +0300

situare (2.0a-0) unstable; urgency=low
  * Situare alpha release

  * New Features:
    - Map centers to the free area when panel is open
    - UI design for panels fine tuned
    - Direction indicator/centering button fine tuned
    - User panel item is collapsed when panel is closed

  * Following bug fixes from version 2.0pa-0
    - #6223: Character calculation when message has Scandinavian characters
    - Full screen button is not clickable
    - Routing to a friend is possible even if any friend is not selected
    - Segmentation fault in panels
    - Error messages from routing service are not shown
    - Error messages from location search are not shown
    - Text length cutting in user panel
    - Area under panel can be clicked

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 30 Aug 2010 10:50:00 +0300

situare (2.0pa-0) unstable; urgency=low
  * Situare pre-alpha Release

  * New Features:
    - New UI design for panels
    - New UI design for buttons
    - Search routes to places and friends
    - Search locations by name and street addresses
    - Friend list can be filtered by typing the keyboard
    - Direction indicator/centering button
    - GPS location accuracy circle
    - Power saving when application is in the background
    - Cross-hair is visible always when the auto-centering is disabled
    - Full screen button is hid after delay
    - Friend grouping optimized
    - User data retrieval optimized
    - List views re-factored

  * Following bug fixes from version 1.0-0
    - #5762: Location setting accuracy is not accurate

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 19 Aug 2010 13:17:00 +0300
