=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: optional
 Maintainer: Jussi Laitinen <jussi.laitinen@ixonos.com>
-Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev, libgconf2-dev
+Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev, libgconf2-dev, libosso-abook-dev
 Standards-Version: 3.7.2
 
 Package: situare
@@ -12,7 +12,8 @@
  Situare application introduces a concept of social locating.
  It allows users to view, update and share their location
  using Facebook accounts. Situare utilizes OpenStreetMap
- database for mapping and device GPS for automatic locating.
+ database for mapping, CloudMade for route caclulation and 
+ device GPS for automatic locating.
  Project home is located in https://garage.maemo.org/projects/situare/.
  Check also http://www.situare.net.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5192&group_id=1420&func=browse
