## situare 2.0b-1

=== tests/ui/sidepanel/Makefile ===
#############################################################################
# Makefile for building: sidepanel
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Aug 3 11:58:57 2010
# Project:  sidepanel.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile sidepanel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I../../../src -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testsidepanel.cpp \
		../../../src/ui/sidepanel.cpp \
		../../../src/ui/sidepanelbase.cpp \
		../../../src/ui/panelsliderbar.cpp moc_sidepanel.cpp \
		moc_sidepanelbase.cpp \
		moc_panelsliderbar.cpp
OBJECTS       = testsidepanel.o \
		sidepanel.o \
		sidepanelbase.o \
		panelsliderbar.o \
		moc_sidepanel.o \
		moc_sidepanelbase.o \
		moc_panelsliderbar.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		sidepanel.pro
QMAKE_TARGET  = sidepanel
DESTDIR       = 
TARGET        = sidepanel

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: sidepanel.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile sidepanel.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile sidepanel.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/sidepanel1.0.0 || $(MKDIR) .tmp/sidepanel1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/sidepanel1.0.0/ && $(COPY_FILE) --parents ../../../src/ui/sidepanel.h ../../../src/ui/sidepanelbase.h ../../../src/ui/panelsliderbar.h ../../../src/ui/panelcommon.h ../../../src/map/mapcommon.h .tmp/sidepanel1.0.0/ && $(COPY_FILE) --parents testsidepanel.cpp ../../../src/ui/sidepanel.cpp ../../../src/ui/sidepanelbase.cpp ../../../src/ui/panelsliderbar.cpp .tmp/sidepanel1.0.0/ && (cd `dirname .tmp/sidepanel1.0.0` && $(TAR) sidepanel1.0.0.tar sidepanel1.0.0 && $(COMPRESS) sidepanel1.0.0.tar) && $(MOVE) `dirname .tmp/sidepanel1.0.0`/sidepanel1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/sidepanel1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_sidepanel.cpp moc_sidepanelbase.cpp moc_panelsliderbar.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_sidepanel.cpp moc_sidepanelbase.cpp moc_panelsliderbar.cpp
moc_sidepanel.cpp: ../../../src/ui/sidepanel.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/sidepanel.h -o moc_sidepanel.cpp

moc_sidepanelbase.cpp: ../../../src/ui/sidepanelbase.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/sidepanelbase.h -o moc_sidepanelbase.cpp

moc_panelsliderbar.cpp: ../../../src/ui/panelcommon.h \
		../../../src/common.h \
		../../../src/ui/panelsliderbar.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/panelsliderbar.h -o moc_panelsliderbar.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: testsidepanel.moc
compiler_moc_source_clean:
	-$(DEL_FILE) testsidepanel.moc
testsidepanel.moc: testsidepanel.cpp
	/usr/bin/moc $(DEFINES) $(INCPATH) testsidepanel.cpp -o testsidepanel.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

testsidepanel.o: testsidepanel.cpp testsidepanel.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testsidepanel.o testsidepanel.cpp

sidepanel.o: ../../../src/ui/sidepanel.cpp ../../../src/ui/sidepanel.h \
		../../../src/ui/panelcommon.h \
		../../../src/common.h \
		../../../src/ui/panelsidebar.h \
		../../../src/ui/panelsliderbar.h \
		../../../src/ui/sidepanelbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sidepanel.o ../../../src/ui/sidepanel.cpp

sidepanelbase.o: ../../../src/ui/sidepanelbase.cpp ../../../src/ui/sidepanelbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sidepanelbase.o ../../../src/ui/sidepanelbase.cpp

panelsliderbar.o: ../../../src/ui/panelsliderbar.cpp ../../../src/ui/panelsliderbar.h \
		../../../src/ui/panelcommon.h \
		../../../src/common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o panelsliderbar.o ../../../src/ui/panelsliderbar.cpp

moc_sidepanel.o: moc_sidepanel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_sidepanel.o moc_sidepanel.cpp

moc_sidepanelbase.o: moc_sidepanelbase.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_sidepanelbase.o moc_sidepanelbase.cpp

moc_panelsliderbar.o: moc_panelsliderbar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_panelsliderbar.o moc_panelsliderbar.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
