=== debian/changelog ===
situare (2.0b-1) unstable; urgency=low
  * Situare beta release

  * New Features:
    - New UI design for panels
    - New UI design for buttons
    - Context-driven buttons
    - Search routes to places and friends
    - Search locations by name and street addresses
    - Map centers to the free area when panel is open
    - Location search panel
    - Search history is shown in location search panel
    - Friend list can be filtered by typing the keyboard
    - Direction indicator/centering button
    - GPS location accuracy circle
    - Show friends contact dialog
    - Text to indicate when panel content is empty
    - Power saving when application is in the background
    - Personal and friend panels are closed and disabled when logout
    - Cross-hair is visible always when the auto-centering is disabled
    - Full screen button is hid after delay
    - User panel item is collapsed when panel is closed
    - Old data is cleared when logout
    - Friend grouping optimized
    - User data retrieval optimized
    - List views re-factored

  * Following bug fixes from version 1.0-0
    - #5762: Location setting accuracy is not accurate
    - #6223: Character calculation when message has Scandinavian characters
    - Full screen button is not clickable
    - Routing to a friend is possible even if any friend is not selected
    - Segmentation fault in panels
    - Error messages from routing service are not shown
    - Error messages from location search are not shown
    - Text length cutting in user panel
    - Area under panel can be clicked
    - Message is sometimes partly invisible in friend list item
    - When routing to friend, the view is not changed to routing panel after the routing is done

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 9 Sep 2010 10:15:00 +0300
