=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  Situare application introduces a concept of social locating.
  It allows users to view, update and share their location
  using Facebook accounts. Situare utilizes OpenStreetMap
- database for mapping, CloudMade for route caclulation and 
+ database for mapping, CloudMade for route calculation and 
  device GPS for automatic locating.
  Project home is located in https://garage.maemo.org/projects/situare/.
  Check also http://www.situare.net.
